com.hazelcast.org.snakeyaml.engine.v1.representer

## Class BaseRepresenter

- java.lang.Object
- - com.hazelcast.org.snakeyaml.engine.v1.representer.BaseRepresenter

- Direct Known Subclasses:
    StandardRepresenter

      public abstract class BaseRepresenter
      extends Object

  Represent basic YAML structures: scalar, sequence, mapping

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected FlowStyle` | `defaultFlowStyle`
    `protected ScalarStyle` | `defaultScalarStyle`
    `protected Map<Class<?>,RepresentToNode>` | `multiRepresenters`
    `protected RepresentToNode` | `nullRepresenter` in Java 'null' is not a type.
    `protected Object` | `objectToRepresent`
    `protected Map<Object,Node>` | `representedObjects`
    `protected Map<Class<?>,RepresentToNode>` | `representers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseRepresenter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Node` | `represent(Object data)`
    `protected Node` | `representData(Object data)`
    `protected Node` | `representMapping(Tag tag, Map<?,?> mapping, FlowStyle flowStyle)`
    `protected Node` | `representScalar(Tag tag, String value)`
    `protected Node` | `representScalar(Tag tag, String value, ScalarStyle style)`
    `protected Node` | `representSequence(Tag tag, Iterable<?> sequence, FlowStyle flowStyle)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### representers

          protected final Map<Class<?>,RepresentToNode> representers

    - #### nullRepresenter

          protected RepresentToNode nullRepresenter

      in Java 'null' is not a type. So we have to keep the null representer separately otherwise it will coincide with the default representer which is stored with the key null.

    - #### multiRepresenters

          protected final Map<Class<?>,RepresentToNode> multiRepresenters

    - #### defaultScalarStyle

          protected ScalarStyle defaultScalarStyle

    - #### defaultFlowStyle

          protected FlowStyle defaultFlowStyle

    - #### representedObjects

          protected final Map<Object,Node> representedObjects

    - #### objectToRepresent

          protected Object objectToRepresent

  - ### Constructor Detail

    - #### BaseRepresenter

          public BaseRepresenter()

  - ### Method Detail

    - #### represent

          public Node represent(Object data)

    - #### representData

          protected final Node representData(Object data)

    - #### representScalar

          protected Node representScalar(Tag tag,
                                         String value,
                                         ScalarStyle style)

    - #### representScalar

          protected Node representScalar(Tag tag,
                                         String value)

    - #### representSequence

          protected Node representSequence(Tag tag,
                                           Iterable<?> sequence,
                                           FlowStyle flowStyle)

    - #### representMapping

          protected Node representMapping(Tag tag,
                                          Map<?,?> mapping,
                                          FlowStyle flowStyle)

Copyright © 2019. All rights reserved.